<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt"
    version="1.0"
    exclude-result-prefixes="msxsl">
  <xsl:output method="xml" indent="yes"/>
  <xsl:template match="node( ) | @*">
    <xsl:copy>
      <xsl:apply-templates select="@* | node( )"/>
    </xsl:copy>
  </xsl:template>
  <xsl:template match="@class">
    <xsl:attribute name="class">
      <xsl:choose>
        <xsl:when test=". = 'main-class'">
          <xsl:text>other-class</xsl:text>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="." />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:attribute>
  </xsl:template>
</xsl:stylesheet>